C2DFifoFilterPlugin Class Reference
Filtering and combining

The plug-in base class for the FIFO filters. More...

`#include <mia/3d/2dimagefifofilter.hh>`

Inheritance diagram for C2DFifoFilterPlugin:
[legend]
Collaboration diagram for C2DFifoFilterPlugin:
[legend]

## Protected Types

typedef std::vector< P2DImage > | CImageStack
| helper class to store a set of images

## Protected Member Functions

| C2DFifoFilterPlugin (char const *const name)
bool | call_test (const CImageStack &in_data, const CImageStack &test_data, C2DImageFifoFilter &filter) const
Protected Member Functions inherited from CParamTranslator
CParamList & | get_parameters ()

## Additional Inherited Members

Public Types inherited from TFactory< C2DImageFifoFilter >
typedef C2DImageFifoFilter | Product
| typedef to describe the product of the factory
typedef std::shared_ptr< C2DImageFifoFilter > | SharedProduct
| typedef for the shared version of the product
typedef std::unique_ptr< C2DImageFifoFilter > | UniqueProduct
| typedef for the unique version of the product
Public Types inherited from TPlugin< C2DImageFifoFilter::plugin_data, C2DImageFifoFilter::plugin_type >
typedef C2DImageFifoFilter::plugin_data | PlugData
| Typedef for the data type descriptor handled by this plug-in.
typedef C2DImageFifoFilter::plugin_type | PlugType
| Typedef for the plugin type descriptor handled by this plug-in.
Public Member Functions inherited from TFactory< C2DImageFifoFilter >
virtual Product * | create (const CParsedOptions &options, char const *params) __attribute__((warn_unused_result))
| TFactory (char const *const name)
Public Member Functions inherited from TPlugin< C2DImageFifoFilter::plugin_data, C2DImageFifoFilter::plugin_type >
virtual void | get_help (std::ostream &os) const
const std::string | get_long_name () const
| TPlugin (const char *name)
Public Member Functions inherited from CPluginBase
void | add_dependend_handlers (HandlerHelpMap &handler_map)
void | add_property (const char *property)
void | append_interface (CPluginBase *plugin)
| CPluginBase (const char *name)
PPluginModule | get_module () const
unsigned | get_priority () const
bool | has_property (const char *property) const
CPluginBase * | next_interface ()
void | set_module (const PPluginModule &module)
void | set_priority (unsigned p)
virtual | ~CPluginBase ()
Public Member Functions inherited from CParamTranslator
void | add_parameter (const std::string &name, CParameter *param)
void | check_parameters ()
| CParamTranslator (const char *name)
virtual void | do_get_help_xml (CXMLElement &root) const
const std::string | get_descr () const
void | get_help (std::ostream &os) const
void | get_help_xml (CXMLElement &root) const
const char * | get_name () const
void | get_short_help (std::ostream &os) const
void | set_parameters (const CParsedOptions &options)
virtual | ~CParamTranslator ()
Static Public Member Functions inherited from TPlugin< C2DImageFifoFilter::plugin_data, C2DImageFifoFilter::plugin_type >
static const char * | get_data_path_part ()
static const char * | get_type_path_part ()

## Detailed Description

The plug-in base class for the FIFO filters.

Definition at line 115 of file 2dimagefifofilter.hh.

## Member Typedef Documentation

## CImageStack

typedef std::vector<P2DImage> C2DFifoFilterPlugin::CImageStack

protected

helper class to store a set of images

Definition at line 126 of file 2dimagefifofilter.hh.

## Constructor & Destructor Documentation

## C2DFifoFilterPlugin()

C2DFifoFilterPlugin::C2DFifoFilterPlugin | ( | char const *const | name | ) |

protected

Plugin constructor

Parameters

  name | Name of the filter

## Member Function Documentation

## call_test()

bool C2DFifoFilterPlugin::call_test | ( | const CImageStack & | in_data,
|  | const CImageStack & | test_data,
|  | C2DImageFifoFilter & | filter ) const

protected

Helper function to run tests on stack filters

Parameters

  in_data | the input data
  test_data | the expected filter result
  filter | the filter to be run (usually the same as handled by the plug-in

Returns
  true if the filter provided the expected results, false otherwiese

Remarks
  this should be a stand-alone function that is implemented in the test library

References filter().

The documentation for this class was generated from the following file:

- 2dimagefifofilter.hh